> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a card account

> Retrieve the card account with the specified ID



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /customers/{customerID}/card_accounts/{cardAccountID}
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/card_accounts/{cardAccountID}:
    parameters:
      - $ref: '#/components/parameters/CustomerIDParameter'
      - $ref: '#/components/parameters/CardAccountIDParameter'
    get:
      tags:
        - Cards
      summary: Retrieve a card account
      description: Retrieve the card account with the specified ID
      responses:
        '200':
          description: The retrieved card account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardAccount'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    CardAccountIDParameter:
      name: cardAccountID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
  schemas:
    CardAccount:
      type: object
      required:
        - id
        - customer_id
        - status
        - balances
        - freezes
      properties:
        id:
          $ref: '#/components/schemas/Id'
          description: ID of the card account
        client_reference_id:
          type: string
          description: The client-provided reference ID
        customer_id:
          $ref: '#/components/schemas/Id'
          description: ID of the customer
        cardholder_name:
          $ref: '#/components/schemas/CardholderName'
          type: object
        card_image_url:
          type: string
          deprecated: true
          description: >-
            An expiring URL used to render the card image, with a validity
            period of 5 minutes. _Note:_ This field will be deprecated in favor
            of the more secure and scalable card details API. Please see the
            integration guide on [safely revealing card
            details](https://apidocs.bridge.xyz/docs/safely-reveal-card-details-to-customers)
            for more information.
        status:
          type: string
          description: Status of the card account
          enum:
            - active
            - pending
            - inactive
            - frozen
        status_reason:
          type: string
          description: An optional detailed explanation for the card account status
        card_details:
          $ref: '#/components/schemas/CardDetails'
          type: object
        balances:
          $ref: '#/components/schemas/CardBalances'
          type: object
        freezes:
          type: array
          minItems: 0
          items:
            allOf:
              - $ref: '#/components/schemas/CardFreeze'
            properties:
              initiator:
                description: >-
                  The party that initiated the freeze. A freeze can be initiated
                  by the customer, the developer, or Bridge. Only one freeze per
                  initiator can be active at a time. If a new freeze is
                  initiated by the same party, it overwrites any existing freeze
                enum:
                  - bridge
        stripe_card_id:
          type: string
          nullable: true
          description: >-
            The [Stripe Issuing card
            ID](https://docs.stripe.com/api/issuing/cards/object?issuing_card_object-id),
            if the card account is backed by Stripe Issuing
        crypto_account:
          $ref: '#/components/schemas/CardCryptoAccount'
          type: object
        funding_instructions:
          $ref: '#/components/schemas/CardAccountFundingInstructions'
        additional_funding_instructions:
          type: array
          minItems: 0
          items:
            $ref: '#/components/schemas/CardAccountFundingInstructions'
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    CardholderName:
      description: >-
        The name of the cardholder associated to the card. By default, this will
        be the name of the associated customer. To override the cardholder name,
        you can contact Bridge support.
      type: object
      required:
        - first_name
        - last_name
      properties:
        first_name:
          type: string
        middle_name:
          type: string
        last_name:
          type: string
    CardDetails:
      description: >-
        Details of the issued card. This object contains enough payment card
        details to identify the issued card, but only provides the last four
        digits of the card number to maintain security.
      type: object
      required:
        - last_4
        - expiry
        - bin
      properties:
        last_4:
          description: The last four digits of the card number
          type: string
          example: '1264'
        expiry:
          description: The expiration date of the card, in MM/YY format
          type: string
          example: 10/24
        bin:
          description: The BIN of the card, including the first 8 digits
          type: string
          example: '44325280'
        pin_status:
          type: string
          description: The current status of the card PIN
          enum:
            - not_set
            - ok
    CardBalances:
      description: Balances of the card account
      type: object
      required:
        - available
        - hold
      properties:
        available:
          $ref: '#/components/schemas/CardBalance'
          description: The available balance of the card account
          type: object
        hold:
          $ref: '#/components/schemas/CardBalance'
          description: The balance tha is placed on hold for pending authorizations
          type: object
    CardFreeze:
      description: Card freeze
      required:
        - card_account_id
        - initiator
        - reason
        - created_at
        - status
      properties:
        card_account_id:
          $ref: '#/components/schemas/Id'
          description: Card account ID
        initiator:
          $ref: '#/components/schemas/CardFreezeInitiator'
        reason:
          $ref: '#/components/schemas/CardFreezeReason'
        reason_detail:
          type: string
          description: A more detailed reason for the freeze
        starting_at:
          type: string
          description: The start time of the freeze, in ISO8601 format
        ending_at:
          type: string
          description: The end time of the freeze, in ISO8601 format
        created_at:
          type: string
          description: The creation time of the freeze, in ISO8601 format
          readOnly: true
    CardCryptoAccount:
      description: >-
        The crypto account for a self-custodial card account. This field is not
        supported for a Bridge-custodial card funding setup (note that if you
        are on cards trial, you are automatically on a custodial funding setup).
      required:
        - type
        - address
      properties:
        type:
          type: string
          description: The type of the crypto account
          enum:
            - standard
            - bridge_wallet
            - noncustodial_ata
        address:
          type: string
          description: The public address of the crypto account
    CardAccountFundingInstructions:
      description: >-
        Funding instructions applicable only to the top-up card funding
        strategy, which is configured at the developer level
      required:
        - currency
        - chain
        - address
      properties:
        currency:
          $ref: '#/components/schemas/CardsCryptoCurrency'
          description: The crypto currency used by the card account
        chain:
          $ref: '#/components/schemas/OfframpChainForCards'
          description: The chain used by the card account
        address:
          type: string
          description: The deposit address provided by Bridge to fund the card account
        memo:
          type: string
          description: >-
            If present, this is the message that the customer MUST include in
            their on-chain funding transfers. It is only applicable to
            memo-based blockchains such as Stellar and Tron
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
    CardBalance:
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
        currency:
          $ref: '#/components/schemas/CardsCryptoCurrency'
    CardFreezeInitiator:
      type: string
      description: >-
        The party that initiated the freeze. A freeze can be initiated by either
        the customer or developer. Only one freeze per initiator can be active
        at a time. If a new freeze is initiated by the same party, it overwrites
        any existing freeze
      enum:
        - developer
        - customer
    CardFreezeReason:
      type: string
      description: The reason of the freeze
      enum:
        - lost_or_stolen
        - suspicious_activity
        - planned_inactivity
        - suspected_fraud
        - other
    CardsCryptoCurrency:
      type: string
      enum:
        - usdc
    OfframpChainForCards:
      type: string
      enum:
        - arbitrum
        - avalanche_c_chain
        - base
        - ethereum
        - optimism
        - polygon
        - solana
        - stellar
  responses:
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````